package cl.homelogic.platform.designsystem.extensions

import kotlin.contracts.ExperimentalContracts
import kotlin.contracts.contract

@Suppress("BanInlineOptIn")
@OptIn(ExperimentalContracts::class)
fun requirePrecondition(value: Boolean) {
    contract { returns() implies value }
    if (!value) {
        throw IllegalArgumentException("Shortcuts cannot exceed 3 items")
    }
}
